{% load staticfiles %}
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Listado</title>
    <link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'css/menu.css' %}">
    <link rel="stylesheet" href="{% static 'css/font-awesome.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/estilo.css' %}">
    <link rel="stylesheet" href="{% static 'css/flexboxgrid.min.css' %}">
    {% block extracss %}
    {% endblock extracss %}
</head>
<body>
    {% block body %}
    <header id="header">
        <nav class="menu">
            <div class="logo">
                <a href="#"><img src="{% static 'img/images.png'%}" width="150px" height="90px" alt=""></a>
                <a href="#" class="btn-menu" id="btn-menu"><i class="icono fa fa-bars" aria-hidden="true"></i></a>

            </div>
            
            <div class="enlaces" id="enlaces">
                <a href="{% url 'cliente:index'%}"><i class="fa fa-home" aria-hidden="true"></i>Inicio</a>
                <a href="{% url 'cliente:crear_cliente'%}"><i class="fa fa-user" aria-hidden="true"></i>Registro</a>
                <a href="{% url 'logout' %}"><i class="fa fa-user" aria-hidden="true"></i>Cerrar Sesion</a>
                <a href="{% url 'cliente:listar_cliente'%}"><i class="fa fa-picture-o" aria-hidden="true"></i>Listado de Clientes</a>

            </div>
        </nav>
    </header>

        <div class="main">
            <div class="contenedor">
                <div class="row middle-xs between-xs">
                    <div class="contenedor col-xs-12 center-xs ">
                        <div class="form-header">
                            <h1 class="form-title">L<span>istado de Clientes</span></h1>
                        </div>
                        {% if clientes %}
                        <table class="contenedor col-xs-12 center-xs ">
                            <thead>
                               <tr>
                                   <th>ID</th>
                                   <th>Rut</th>
                                   <th>Apellidos</th>
                                   <th>Telefono</th>
                                   <th>Correo</th>
                                   <th>Genero</th>
                                   <th>Fehca de nacimiento</th>
                                   <th>Nombre</th>
                                   <th>Direccion</th>
                                   <th>Opciones</th>
                               </tr> 
                            </thead>
                            <tbody>
                                {% for cliente in clientes %}
                                    <tr>
                                        <td>{{ cliente.id }}</td>
                                        <td>{{ cliente.rut }}</td>
                                        <td>{{ cliente.apellidos }}</td>
                                        <td>{{ cliente.telefono }}</td>
                                        <td>{{ cliente.correo }}</td>
                                        <td>{{ cliente.sexo }}</td>
                                        <td>{{ cliente.fecha_nacimiento }}</td>
                                        <td>{{ cliente.nombre }}</td>
                                        <td>{{ cliente.direccion }}</td>
                                        <td>
                                            <a href="{% url 'cliente:editar_cliente' cliente.id %}">Editar</a>
                                            <a href="{% url 'cliente:eliminar_cliente' cliente.id %}">Eliminar</a>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    {% else %}
                        <h1>No existen clientes registrados</h1>
                    {% endif %}    
            
                    </div>  

                  </div>
             
          </div>
       </div>

        
           
     

    <footer>
        
            <div class="container">
              <div class="row middle-xs between-xs">
                <div class="col-xs-12 col-sm-4">
                  <div class="nav">
                    <a href="#">Inicio</a>
                    <a href="#">Trabajos</a>
                    <a href="#">Terminos y Condiciones</a>
                    <a href="#">Contacto</a>
                  </div>
                </div>
        
                <div class="col-xs-12 col-sm-4">
                  <div class="logo">Mobike</div>
                </div>
              </div>
              </div>
    </footer>
    {% endblock body %}
    
    
        
    {% block extrajs %}
    <script src="{% static 'js/jquery.min.js' %}"></script>
    <script src="{% static 'js/headroom.min.js' %}"></script>
    <script src="{% static 'js/menu.js'%}"></script>
    {% endblock extrajs %}
</body>
</html>





